Module modKarten
    Public KartenNr As New ArrayList         ' kartenbilder
    Public ZeichneKarte As New ArrayList     ' karten in Form1

    Public SpielKarten() As Karten ' übergabe der benutzerdefinierten daten
    Public Structure Karten
        Public strFarbe As String    ' kartenfarbe karo, herz...
        Public strName As String     ' kartenname zwei, bube
        Public intWert As Integer    ' bube = 11
    End Structure

    Public Sub KartenZuweisung()
        Dim i As Integer
        Dim Karten(55) As Karten '-- mit 3 jokern
        '---------- daten festlegen
        For i = 1 To 13
            Karten(i).strFarbe = "Karo"
            Karten(i + 13).strFarbe = "Herz"
            Karten(i + 26).strFarbe = "Pik"
            Karten(i + 39).strFarbe = "Kreuz"
        Next
        For i = 1 To 52 Step 13
            Karten(i).strName = "Zwei" : Karten(i).intWert = 2
            Karten(i + 1).strName = "Drei" : Karten(i + 1).intWert = 3
            Karten(i + 2).strName = "Vier" : Karten(i + 2).intWert = 4
            Karten(i + 3).strName = "Fünf" : Karten(i + 3).intWert = 5
            Karten(i + 4).strName = "Sechs" : Karten(i + 4).intWert = 6
            Karten(i + 5).strName = "Sieben" : Karten(i + 5).intWert = 7
            Karten(i + 6).strName = "Acht" : Karten(i + 6).intWert = 8
            Karten(i + 7).strName = "Neuen" : Karten(i + 7).intWert = 9
            Karten(i + 8).strName = "Zehn" : Karten(i + 8).intWert = 10
            Karten(i + 9).strName = "Bube" : Karten(i + 9).intWert = 11
            Karten(i + 10).strName = "Dame" : Karten(i + 10).intWert = 12
            Karten(i + 11).strName = "König" : Karten(i + 11).intWert = 13
            Karten(i + 12).strName = "As" : Karten(i + 12).intWert = 1
        Next
        For i = 53 To 55
            Karten(i).strName = "Joker" : Karten(i).intWert = 0 : Karten(i).strFarbe = "Rot"
        Next
        Karten(0).strName = "Joker" : Karten(0).strFarbe = "Rot" : Karten(0).intWert = 0
        '---------- 
        SpielKarten = Karten     ' übergabe der struktur
    End Sub
    Public Sub IniSpielfeld()
        With Form1
            '---------------- karten auf dem Form1 (spielfeld)
            ZeichneKarte.Add(.PictureBox0) : ZeichneKarte.Add(.PictureBox1) : ZeichneKarte.Add(.PictureBox2) : ZeichneKarte.Add(.PictureBox3)
            ZeichneKarte.Add(.PictureBox4) : ZeichneKarte.Add(.PictureBox5) : ZeichneKarte.Add(.PictureBox6) : ZeichneKarte.Add(.PictureBox7)
            ZeichneKarte.Add(.PictureBox8) : ZeichneKarte.Add(.PictureBox9) : ZeichneKarte.Add(.PictureBox10) : ZeichneKarte.Add(.PictureBox11)
            ZeichneKarte.Add(.PictureBox12) : ZeichneKarte.Add(.PictureBox13) : ZeichneKarte.Add(.PictureBox14) : ZeichneKarte.Add(.PictureBox15)
            ZeichneKarte.Add(.PictureBox16) : ZeichneKarte.Add(.PictureBox17) : ZeichneKarte.Add(.PictureBox18) : ZeichneKarte.Add(.PictureBox19)
            ZeichneKarte.Add(.PictureBox20) : ZeichneKarte.Add(.PictureBox21) : ZeichneKarte.Add(.PictureBox22) : ZeichneKarte.Add(.PictureBox23)
            ZeichneKarte.Add(.PictureBox24) : ZeichneKarte.Add(.PictureBox25) : ZeichneKarte.Add(.PictureBox26) : ZeichneKarte.Add(.PictureBox27)
            ZeichneKarte.Add(.PictureBox28) : ZeichneKarte.Add(.PictureBox29)
            ZeichneKarte.Add(.PicJoker1) : ZeichneKarte.Add(.PicJoker2) : ZeichneKarte.Add(.PicJoker3)
        End With
        '-----------------   karten in frmKarten
        KartenNr.Add(FrmKarten.PictureBox0)
        KartenNr.Add(FrmKarten.PictureBox1) : KartenNr.Add(FrmKarten.PictureBox2) : KartenNr.Add(FrmKarten.PictureBox3) : KartenNr.Add(FrmKarten.PictureBox4)
        KartenNr.Add(FrmKarten.PictureBox5) : KartenNr.Add(FrmKarten.PictureBox6) : KartenNr.Add(FrmKarten.PictureBox7) : KartenNr.Add(FrmKarten.PictureBox8)
        KartenNr.Add(FrmKarten.PictureBox9) : KartenNr.Add(FrmKarten.PictureBox10) : KartenNr.Add(FrmKarten.PictureBox11) : KartenNr.Add(FrmKarten.PictureBox12)
        KartenNr.Add(FrmKarten.PictureBox13) : KartenNr.Add(FrmKarten.PictureBox14) : KartenNr.Add(FrmKarten.PictureBox15) : KartenNr.Add(FrmKarten.PictureBox16)
        KartenNr.Add(FrmKarten.PictureBox17) : KartenNr.Add(FrmKarten.PictureBox18) : KartenNr.Add(FrmKarten.PictureBox19) : KartenNr.Add(FrmKarten.PictureBox20)
        KartenNr.Add(FrmKarten.PictureBox21) : KartenNr.Add(FrmKarten.PictureBox22) : KartenNr.Add(FrmKarten.PictureBox23) : KartenNr.Add(FrmKarten.PictureBox24)
        KartenNr.Add(FrmKarten.PictureBox25) : KartenNr.Add(FrmKarten.PictureBox26) : KartenNr.Add(FrmKarten.PictureBox27) : KartenNr.Add(FrmKarten.PictureBox28)
        KartenNr.Add(FrmKarten.PictureBox29) : KartenNr.Add(FrmKarten.PictureBox30) : KartenNr.Add(FrmKarten.PictureBox31) : KartenNr.Add(FrmKarten.PictureBox32)
        KartenNr.Add(FrmKarten.PictureBox33) : KartenNr.Add(FrmKarten.PictureBox34) : KartenNr.Add(FrmKarten.PictureBox35) : KartenNr.Add(FrmKarten.PictureBox36)
        KartenNr.Add(FrmKarten.PictureBox37) : KartenNr.Add(FrmKarten.PictureBox38) : KartenNr.Add(FrmKarten.PictureBox39) : KartenNr.Add(FrmKarten.PictureBox40)
        KartenNr.Add(FrmKarten.PictureBox41) : KartenNr.Add(FrmKarten.PictureBox42) : KartenNr.Add(FrmKarten.PictureBox43) : KartenNr.Add(FrmKarten.PictureBox44)
        KartenNr.Add(FrmKarten.PictureBox45) : KartenNr.Add(FrmKarten.PictureBox46) : KartenNr.Add(FrmKarten.PictureBox47) : KartenNr.Add(FrmKarten.PictureBox48)
        KartenNr.Add(FrmKarten.PictureBox49) : KartenNr.Add(FrmKarten.PictureBox50) : KartenNr.Add(FrmKarten.PictureBox51) : KartenNr.Add(FrmKarten.PictureBox52)
        KartenNr.Add(FrmKarten.PictureBox51) : KartenNr.Add(FrmKarten.PictureBox52) : KartenNr.Add(FrmKarten.PictureBox53) : KartenNr.Add(FrmKarten.PictureBox54)
        KartenNr.Add(FrmKarten.PictureBox55) : KartenNr.Add(FrmKarten.PictureBox56) : KartenNr.Add(FrmKarten.PicTalon)

    End Sub
End Module
